# (NEW!) Get Request COMING SOON! Use this endpoint to retrieve a specific request based on the id of the request. Endpoint: GET /request/{id} Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation ## Path parameters: - `id` (string, required) A Request ID. Example: "4e428628-2537-40b5-91a4-5393cbf167df" ## Response 200 fields (application/json): - `id` (string) Unique ID of the Request Example: "e3beae4b-338c-4fda-8bf7-be3a8d82a230" - `assets` (array) - `assets.id` (string) Unique identifier for the asset. Example: "cd0caff5-2756-4d7c-a43d-a926a81fa9b8" - `assets.assignedTo` (object) - `assets.assignedTo.id` (string) Tenovos User Id for the user who the request is assigned to. Example: "986caca7-b6d4-478b-9850-acf54b25c6d5" - `assets.assignedTo.firstName` (string) First Name of the user who the request is assigned to. Example: "Galvin" - `assets.assignedTo.lastName` (string) Last Name of the user who the request is assigned to. Example: "Belson" - `assets.assignedTo.email` (string) Email address used for the user account who the request is assigned to. Example: "galvin.belson@huli.com" - `assetCount` (integer) Provides a count of the number of assets belonging to the Request. Example: 2 - `title` (string) The Title of the request. Example: "Galvin's Upload Request" - `type` (string) Identifies the type of the Request Example: "Upload" - `status` (string) The status of the Request in it's current state. Example: "In Progress" - `submittedBy` (object) - `submittedBy.id` (string) Tenovos User Id for the user who the request was submitted by. Example: "556caca7-b6d4-478b-9850-bcf54b25c6b2" - `submittedBy.firstName` (string) First Name of the user who the request was submitted by. Example: "Erlich" - `submittedBy.lastName` (string) Last Name of the user who the request was submitted by. Example: "Bachman" - `submittedBy.email` (string) Email address used for the user account who the request was submitted by. Example: "erlich.backman@piedpipper.com" - `metadata` (array) Example: [{"id":"a4e75e25-2baf-4204-b6c8-b8fa67b9d4ab","name":"Release Date","searchField":"release_date","value":"01/01/2024"},{"id":"d9cb7f63-6b58-4531-8704-41e95c416c95","searchField":"product_name","name":"Product","value":"HooliDocs"},{"id":"b8d955a3-10ab-456e-91c4-b0a878786d48","searchField":"usage_table","name":"Usage Table","value":[[{"id":"b4047831-3921-4684-a434-1bb68214c111","searchField":"usage_category","name":"Usage Category","value":"E-Commerce"},{"id":"bcf51509-8460-4ecf-ad9d-67f09a5682f6","searchField":"usage_length","name":"Usage Length","value":"12 months"}]]}] ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)